Moved pseudo packages to the bts people. Now fetch them from there.
Signed-off-by: Joerg Jaspert <joerg@debian.org>
+2008-09-11 Joerg Jaspert <joerg@debian.org>
+
+ * config/debian/pseudo-packages.description, ...maintainers:
+ Removed, now with the bts people
+
+ * scripts/debian/update-pseudopackages.sh: Added, fetching
+ pseudo-packages from new bts location
+
+ * scripts/debian/mkmaintainers: Use new location
+
2008-09-08 Philipp Kern <pkern@debian.org>
* dak/check_archive.py (check_checksums): rewind the files
$scriptsdir/update-bugdoctxt
$scriptsdir/update-mirrorlists
$scriptsdir/update-mailingliststxt
+$scriptsdir/update-pseudopackages
################################################################################
+++ /dev/null
-base Base system general bugs
-cdrom Installation system
-spam Spam (reassign spam to here so we can complain about it)
-press Press release issues
-kernel Problems with the Linux kernel, or that shipped with Debian
-project Problems related to project administration
-general General problems (e.g. "many manpages are mode 755")
-nm.debian.org New Maintainer process and nm.debian.org webpages
-qa.debian.org The Quality Assurance group
-ftp.debian.org Problems with the FTP site
-www.debian.org Problems with the WWW site
-bugs.debian.org The bug tracking system, @bugs.debian.org
-lists.debian.org The mailing lists, debian-*@lists.debian.org
-wnpp Work-Needing and Prospective Packages list
-cdimage.debian.org CD Image issues
-tech-ctte The Debian Technical Committee (see the Constitution)
-mirrors Problems with the official mirrors
-security.debian.org The Debian Security Team
-installation-reports Reports of installation problems with stable & testing
-upgrade-reports Reports of upgrade problems for stable & testing
-release-notes Problems with the Release Notes
-wiki.debian.org Problems with the Debian wiki
-security-tracker The Debian Security Bug Tracker
-release.debian.org Requests regarding Debian releases and release team tools
-debian-i18n Requests regarding Internationalization (i18n) of the distribution
-buildd.emdebian.org Problems related to building packages for Emdebian
+++ /dev/null
-base Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>
-cdrom Debian CD-ROM Team <debian-cd@lists.debian.org>
-press press@debian.org
-bugs.debian.org Debian Bug Tracking Team <owner@bugs.debian.org>
-ftp.debian.org Debian FTP Master <ftpmaster@ftp-master.debian.org>
-nm.debian.org New Maintainer Front-Desk <new-maintainer@debian.org>
-qa.debian.org debian-qa@lists.debian.org
-www.debian.org Debian WWW Team <debian-www@lists.debian.org>
-mirrors Debian Mirrors Team <mirrors@debian.org>
-project debian-project@lists.debian.org
-general debian-devel@lists.debian.org
-kernel Debian Kernel Team <debian-kernel@lists.debian.org>
-lists.debian.org Debian Listmaster Team <listmaster@lists.debian.org>
-spam spam@debian.org
-wnpp wnpp@debian.org
-cdimage.debian.org Debian CD-ROM Team <debian-cd@lists.debian.org>
-tech-ctte Technical Committee <debian-ctte@lists.debian.org>
-security.debian.org Debian Security Team <team@security.debian.org>
-installation-reports Debian Install Team <debian-boot@lists.debian.org>
-upgrade-reports Debian Testing Group <debian-testing@lists.debian.org>
-release-notes Debian Documentation Team <debian-doc@lists.debian.org>
-wiki.debian.org Debian WWW Team <debian-www@lists.debian.org>
-security-tracker Debian Security Tracker Team <debian-security-tracker@lists.debian.org>
-release.debian.org Debian Release Team <debian-release@lists.debian.org>
-debian-i18n Debian I18N Team <debian-i18n@lists.debian.org>
-buildd.emdebian.org Debian Embedded Team <debian-embedded@lists.debian.org>
cd $base/misc/
cd $indices
-dak make-maintainers $configdir/pseudo-packages.maintainers | sed -e "s/~[^ ]*\([ ]\)/\1/" | awk '{printf "%-20s ", $1; for (i=2; i<=NF; i++) printf "%s ", $i; printf "\n";}' > .new-maintainers
+dak make-maintainers ${scriptdir}/masterfiles/pseudo-packages.maintainers | sed -e "s/~[^ ]*\([ ]\)/\1/" | awk '{printf "%-20s ", $1; for (i=2; i<=NF; i++) printf "%s ", $i; printf "\n";}' > .new-maintainers
set +e
cmp .new-maintainers Maintainers >/dev/null
--- /dev/null
+#!/bin/bash
+#
+# Fetches latest copy of pseudo-packages
+# Joerg Jaspert <joerg@debian.org>
+
+. vars
+
+cd ${scriptdir}/masterdir
+
+echo Updating archive version of pseudo-packages
+for file in maintainers description; do
+ wget -t2 -T20 -q -N http://bugs.debian.org/pseudopackages/pseudo-packages.${file} || echo "Some error occured with $i..."
+done